%define name transfig
%define version 3.2.3
%define prefix %{_prefix}

Summary: A utility for converting FIG files (made by xfig) to other formats.
Name: %{name}
Version: %{version}
Release: 2mdk
Copyright: distributable
Group: Graphics
Source: ftp://ftp.x.org/contrib/applications/drawing_tools/transfig/%{name}.%{version}.tar.bz2
Patch0: %{name}-fig2dev.patch.bz2
Buildroot: /var/tmp/transfig-root

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n transfig.%{version}
%patch0 -p0

%build
xmkmf
make Makefiles

%ifarch alpha
make EXTRA_DEFINES="-Dcfree=free"
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin install
make MANSOURCEPATH=$RPM_BUILD_ROOT/usr/X11R6/man/man install.man

# Dunno why these are not installed
for i in fig2ps2tex fig2ps2tex.sh pic2tpic
do
	install -c -m 755 fig2dev/$i.script $RPM_BUILD_ROOT/usr/X11R6/bin/$i
done


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES NOTES README
/usr/X11R6/bin/*
/usr/X11R6/man/man1

%changelog
* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2.3-2mdk
- redone the previous patch which was not used anymore, because
  it was needed to build fig2dev, which is needed by xfig

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3-1mdk
- release 3.2.3 (xfig depends on transfig >= 3.2.3 ) (lebsack)

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.1a-2mdk
- fix group 

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Version 3.2.1a

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
